Package org.h2gis.functions.spatial.mesh

## Class Triangle.TriangleBuilder

- java.lang.Object
- - org.h2gis.functions.spatial.mesh.Triangle.TriangleBuilder

All Implemented Interfaces:
  `Consumer<org.tinfour.common.SimpleTriangle>`

Enclosing class:
  Triangle

    public static class Triangle.TriangleBuilder
    extends Object
    implements Consumer<org.tinfour.common.SimpleTriangle>

Generate a triangle from Tinfour structure

### Constructor Summary

Constructors
`TriangleBuilder​(ArrayList<org.tinfour.common.SimpleTriangle> triangles)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept​(org.tinfour.common.SimpleTriangle triangle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

### Constructor Detail

#### TriangleBuilder

    public TriangleBuilder​(ArrayList<org.tinfour.common.SimpleTriangle> triangles)

### Method Detail

#### accept

    public void accept​(org.tinfour.common.SimpleTriangle triangle)

Specified by:
  `accept` in interface `Consumer<org.tinfour.common.SimpleTriangle>`